summary refs log tree commit diff
path: root/prune.zsh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-03-14 21:53:11 -0400
committerJune McEnroe <june@causal.agency>2018-03-14 21:53:50 -0400
commite5101601fa06513a286645b7bfec2f885c9d54ed (patch)
tree23d2b4adcf8f050e518a7c4ceef38374cbdea4f3 /prune.zsh
parentClean up install.sh (diff)
downloadsrc-e5101601fa06513a286645b7bfec2f885c9d54ed.tar.gz
src-e5101601fa06513a286645b7bfec2f885c9d54ed.zip
Clean up home scripts, split again
Diffstat (limited to 'prune.zsh')
-rwxr-xr-xprune.zsh7
1 files changed, 7 insertions, 0 deletions
diff --git a/prune.zsh b/prune.zsh
new file mode 100755
index 00000000..a0eb1f73
--- /dev/null
+++ b/prune.zsh
@@ -0,0 +1,7 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+find -L ~ -type l -lname "$PWD/*" | while read linkPath; do
+    rm "$linkPath"
+    echo "$linkPath"
+done